<< fftshift1 | FOSSEE_Signal_Processing_Toolbox | filter1 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > fht

# fht

Fast Hartley transform of real input D

### Syntax

    M = fht(D)
    M = fht(D, N)
    M = fht(D, N, DIM)

### Parameters

D:

  Input data (real matrix or vector).

N:

  Number of elements of D to be used for the transform (optional).

DIM:

  Dimension along which the transform is to be computed (optional).

### Description

This function computes the Fast Hartley Transform (FHT) of the input signal `D`. If D is a matrix, the Hartley transform is calculated along the columns by default. If N is specified, the first N elements along the specified dimension are used for the transform. If DIM is specified, the transform is calculated along the specified dimension.

### Examples

    M = fht(1:4)

### See also

- fft

Report an issue
<< fftshift1 | FOSSEE_Signal_Processing_Toolbox | filter1 >>